:root {
    --font-size: 20px;
    --font-family-serif: Georgia, 'Times New Roman', Times, serif;
    --font-family-sans: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}

html {
    font-size: var(--font-size);
    font-family: var(--font-family-serif);
    line-height: 1.5;
    scroll-behavior: smooth;
}

h1, h2, h3, h4, h5, h6 {
    font-family: var(--font-family-sans);
}

li {
    margin-bottom: 0.5em;
}

a {
    color: rgb(0, 0, 215);
}

.main {
    display: grid;
    grid-template-rows: min-content 1fr min-content;
    height: 100vh;
    box-sizing: border-box;
    text-align: center;
    margin-bottom: 3em;
}

.main > header h1 {
    margin: 0;
}

.main > header, .main > footer {
    padding: 1em;
}

.header {
    display: grid;
    gap: 1em 2.5em;
    align-items: center;
    justify-items: center;
    font-family: var(--font-family-sans);
}

@media (min-width: 575px) {
    .header {
        grid-template-columns: minmax(max-content, auto) max-content max-content;
    }

    .header h1 {
        justify-self: left;
    }
}

.header h1 {
    font-size: calc(1rem + 1vw);
}

.lang-links {
    display: inline-flex;
    list-style: none;
    margin: 0;
    padding: 0;
    gap: 1.5ch;
}

.lang-links li {
    text-transform: uppercase;
    width: 3ch;
    margin: 0;
    padding: 0;
    text-align: center;
}

.lang-links li.current-lang {
    outline: 1px solid;
}

.chart-section {
    flex: 1;
    display: grid;
    overflow: hidden;
    background: hsl(0deg 0% 95%);
    padding: 1em;
}

#chart {
    box-sizing: border-box;
    overflow: hidden;
}

#chart .chart-line {
    fill: transparent;
    stroke: hsl(0deg 0% 50%);
    stroke-width: 3;
}

#chart .divider, #chart .divider-handle {
    stroke: hsl(0deg 0% 50%);
    cursor: move;
}

#chart .divider {
    stroke-width: 3;
    cursor: move;
}

#chart .divider-handle {
    stroke-width: 2;
    fill: transparent;
}

#chart .axis {
    stroke: hsl(0deg 0% 50%);
    stroke-width: 3;
}

#chart .left-area, #chart .right-area {
    clip-path: url(#graphPath);
}

#chart .left-area {
    fill: #5EFC8D;
}

#chart .right-area {
    fill: #8EF9F3;
}

#chart .x-interval {
    stroke: hsl(0deg 0% 50%);
    stroke-width: 2;
    fill: transparent;
}

#chart .hidden {
    stroke: transparent;
    fill: transparent;
}

#chart text {
    font-family: var(--font-family-sans);
    font-size: var(--font-size);
    font-weight: bold;
    text-anchor: middle;
    user-select: none;
}

.content {
    max-width: 800px;
    margin: 1em auto 3em auto;
    overflow-wrap: break-word;
    padding: 0 1em;
}

.katex-display {
    overflow: auto hidden;
}
